﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl" %>
<%@ Import Namespace="HLWebOKBQueryPlugin.Helpers" %>
<%@ Import Namespace="System.Reflection" %>

<div id="RunCollectionTable" style="overflow: auto; width: 100%">
    <table class="hl-dataTable">
        <thead>
            <tr>
                <th>&nbsp;</th>
                <% foreach (PropertyInfo pi in typeof(RunCollectionData).GetProperties()) { %>
                <th><%= pi.Name %></th>
                <% } %>
            </tr>
        </thead>
        <tbody>
            <% IList<RunCollectionData> data = (IList<RunCollectionData>) Session["QueryRuns"];
               foreach (RunCollectionData rcd in data) { %>
                <tr>
                    <td><%: Html.ActionLink("details", "Details", new { rcd.Id}, new { @class = "hl-icon-view"}) %></td>

                    <% foreach (PropertyInfo pi in typeof(RunCollectionData).GetProperties()) { %>
                    <td>
                    <%   try { %>
                         <%= pi.GetValue(rcd, null).ToString()%>
                    <%   } catch (Exception e) { %>
                         &nbsp;
                    <%   } %>
                    </td>

                    <%   } %>
                </tr>
               <% } %>
        </tbody>
    </table>

</div>